## org.apache.mahout.df.split
Class OptIgSplit

    java.lang.Object
      org.apache.mahout.df.split.IgSplit
          org.apache.mahout.df.split.OptIgSplit

    public class OptIgSplit

extends IgSplit

Optimized implementation of IgSplit

Field Summary

Fields inherited from class org.apache.mahout.df.split.IgSplit
`LOG2`

Constructor Summary
`OptIgSplit()`

Method Summary
`protected void` `computeFrequencies(Data data, int attr, double[] values)`
`Split` `computeSplit(Data data, int attr)` Computes the best split for the given attribute
`protected void` `initCounts(Data data, double[] values)` Instantiates the counting arrays
`protected Split` `numericalSplit(Data data, int attr)` Computes the best split for a NUMERICAL attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptIgSplit

    public OptIgSplit()

Method Detail

### computeSplit

    public Split computeSplit(Data data,
                              int attr)

  Description copied from class: `IgSplit`
  Computes the best split for the given attribute

  Specified by:
    `computeSplit` in class `IgSplit`

### initCounts

    protected void initCounts(Data data,
                              double[] values)

  Instantiates the counting arrays

### computeFrequencies

    protected void computeFrequencies(Data data,
                                      int attr,
                                      double[] values)

### numericalSplit

    protected Split numericalSplit(Data data,
                                   int attr)

  Computes the best split for a NUMERICAL attribute

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.